Skip to main content
GET
/
v1
/
users
Get users
curl --request GET \
  --url https://api.example.com/v1/users
[
  {
    "id": 123,
    "photoFilename": "<string>",
    "name": "<string>",
    "email": "<string>",
    "role": {
      "id": 123,
      "name": "<string>",
      "users": "<array>"
    },
    "userType": {
      "id": "<string>"
    },
    "languageCode": "<string>",
    "timeZone": "<string>",
    "timeZoneOffset": 123,
    "acceptedTerms": true,
    "isSubscribedToNewsletter": true,
    "isDisabled": true,
    "tickets": [
      {
        "id": "<string>",
        "user": "<unknown>",
        "scopeDataset": {
          "id": 123,
          "name": "<string>",
          "isDisabled": true,
          "position": 123,
          "path": "<string>",
          "states": [
            {
              "id": 123,
              "dataset": "<unknown>",
              "name": "<string>",
              "color": 123,
              "position": 123
            }
          ],
          "properties": [
            {
              "id": 123,
              "dataset": "<unknown>",
              "propertyType": {
                "id": "<string>",
                "isAutomatic": true,
                "isPlural": true,
                "isSortable": true,
                "position": 123
              },
              "name": "<string>",
              "isUsedAsTitle": true,
              "isRequired": true,
              "parameters": "<string>",
              "position": 123,
              "options": [
                {
                  "id": 123,
                  "property": "<unknown>",
                  "text": "<string>",
                  "color": 123
                }
              ]
            }
          ],
          "representations": [
            {
              "id": 123,
              "dashboard": {
                "id": 123,
                "name": "<string>",
                "isDisabled": true,
                "position": 123,
                "path": "<string>",
                "representations": "<array>"
              },
              "dataset": "<unknown>",
              "representationType": {
                "id": "<string>",
                "isAggregated": true,
                "position": 123
              },
              "name": "<string>",
              "parameters": "<string>",
              "position": 123
            }
          ]
        },
        "scopeRecord": {
          "id": 123,
          "dataset": {
            "id": 123,
            "name": "<string>",
            "isDisabled": true,
            "position": 123,
            "path": "<string>",
            "states": [
              {
                "id": 123,
                "dataset": "<unknown>",
                "name": "<string>",
                "color": 123,
                "position": 123
              }
            ],
            "properties": [
              {
                "id": 123,
                "dataset": "<unknown>",
                "propertyType": {
                  "id": "<string>",
                  "isAutomatic": true,
                  "isPlural": true,
                  "isSortable": true,
                  "position": 123
                },
                "name": "<string>",
                "isUsedAsTitle": true,
                "isRequired": true,
                "parameters": "<string>",
                "position": 123,
                "options": [
                  {
                    "id": 123,
                    "property": "<unknown>",
                    "text": "<string>",
                    "color": 123
                  }
                ]
              }
            ],
            "representations": [
              {
                "id": 123,
                "dashboard": {
                  "id": 123,
                  "name": "<string>",
                  "isDisabled": true,
                  "position": 123,
                  "path": "<string>",
                  "representations": "<array>"
                },
                "dataset": "<unknown>",
                "representationType": {
                  "id": "<string>",
                  "isAggregated": true,
                  "position": 123
                },
                "name": "<string>",
                "parameters": "<string>",
                "position": 123
              }
            ]
          },
          "state": {
            "id": 123,
            "dataset": "<unknown>",
            "name": "<string>",
            "color": 123,
            "position": 123
          },
          "archived": "2023-11-07T05:31:56Z",
          "removed": "2023-11-07T05:31:56Z",
          "datums": [
            {
              "id": 123,
              "record": "<unknown>",
              "property": {
                "id": 123,
                "dataset": "<unknown>",
                "propertyType": {
                  "id": "<string>",
                  "isAutomatic": true,
                  "isPlural": true,
                  "isSortable": true,
                  "position": 123
                },
                "name": "<string>",
                "isUsedAsTitle": true,
                "isRequired": true,
                "parameters": "<string>",
                "position": 123,
                "options": [
                  {
                    "id": 123,
                    "property": "<unknown>",
                    "text": "<string>",
                    "color": 123
                  }
                ]
              },
              "optionValue": {
                "id": 123,
                "property": "<unknown>",
                "text": "<string>",
                "color": 123
              },
              "userValue": "<unknown>",
              "recordValue": "<unknown>",
              "integerValue": 123,
              "decimalValue": 123,
              "stringValue": "<string>",
              "dateTimeValue": "2023-11-07T05:31:56Z"
            }
          ],
          "metadatums": [
            {
              "id": 123,
              "record": "<unknown>",
              "representation": {
                "id": 123,
                "dashboard": {
                  "id": 123,
                  "name": "<string>",
                  "isDisabled": true,
                  "position": 123,
                  "path": "<string>",
                  "representations": "<array>"
                },
                "dataset": "<unknown>",
                "representationType": {
                  "id": "<string>",
                  "isAggregated": true,
                  "position": 123
                },
                "name": "<string>",
                "parameters": "<string>",
                "position": 123
              },
              "recordValue": "<unknown>",
              "decimalValue": 123
            }
          ],
          "events": [
            {
              "id": 123,
              "record": "<unknown>",
              "user": "<unknown>",
              "eventType": {
                "id": "<string>"
              },
              "created": "2023-11-07T05:31:56Z",
              "oldState": {
                "id": 123,
                "dataset": "<unknown>",
                "name": "<string>",
                "color": 123,
                "position": 123
              },
              "newState": {
                "id": 123,
                "dataset": "<unknown>",
                "name": "<string>",
                "color": 123,
                "position": 123
              },
              "property": {
                "id": 123,
                "dataset": "<unknown>",
                "propertyType": {
                  "id": "<string>",
                  "isAutomatic": true,
                  "isPlural": true,
                  "isSortable": true,
                  "position": 123
                },
                "name": "<string>",
                "isUsedAsTitle": true,
                "isRequired": true,
                "parameters": "<string>",
                "position": 123,
                "options": [
                  {
                    "id": 123,
                    "property": "<unknown>",
                    "text": "<string>",
                    "color": 123
                  }
                ]
              },
              "oldOptionValue": {
                "id": 123,
                "property": "<unknown>",
                "text": "<string>",
                "color": 123
              },
              "oldUserValue": "<unknown>",
              "oldRecordValue": "<unknown>",
              "oldIntegerValue": 123,
              "oldDecimalValue": 123,
              "oldStringValue": "<string>",
              "oldDateTimeValue": "2023-11-07T05:31:56Z",
              "newOptionValue": {
                "id": 123,
                "property": "<unknown>",
                "text": "<string>",
                "color": 123
              },
              "newUserValue": "<unknown>",
              "newRecordValue": "<unknown>",
              "newIntegerValue": 123,
              "newDecimalValue": 123,
              "newStringValue": "<string>",
              "newDateTimeValue": "2023-11-07T05:31:56Z"
            }
          ],
          "transitions": [
            {
              "id": 123,
              "record": "<unknown>",
              "oldState": {
                "id": 123,
                "dataset": "<unknown>",
                "name": "<string>",
                "color": 123,
                "position": 123
              },
              "timestamp": "2023-11-07T05:31:56Z"
            }
          ]
        },
        "redirectUrl": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "expires": "2023-11-07T05:31:56Z",
        "isSingleUse": true
      }
    ],
    "privileges": [
      {
        "id": 123,
        "user": "<unknown>",
        "dashboard": {
          "id": 123,
          "name": "<string>",
          "isDisabled": true,
          "position": 123,
          "path": "<string>",
          "representations": "<array>"
        },
        "dataset": {
          "id": 123,
          "name": "<string>",
          "isDisabled": true,
          "position": 123,
          "path": "<string>",
          "states": [
            {
              "id": 123,
              "dataset": "<unknown>",
              "name": "<string>",
              "color": 123,
              "position": 123
            }
          ],
          "properties": [
            {
              "id": 123,
              "dataset": "<unknown>",
              "propertyType": {
                "id": "<string>",
                "isAutomatic": true,
                "isPlural": true,
                "isSortable": true,
                "position": 123
              },
              "name": "<string>",
              "isUsedAsTitle": true,
              "isRequired": true,
              "parameters": "<string>",
              "position": 123,
              "options": [
                {
                  "id": 123,
                  "property": "<unknown>",
                  "text": "<string>",
                  "color": 123
                }
              ]
            }
          ],
          "representations": [
            {
              "id": 123,
              "dashboard": {
                "id": 123,
                "name": "<string>",
                "isDisabled": true,
                "position": 123,
                "path": "<string>",
                "representations": "<array>"
              },
              "dataset": "<unknown>",
              "representationType": {
                "id": "<string>",
                "isAggregated": true,
                "position": 123
              },
              "name": "<string>",
              "parameters": "<string>",
              "position": 123
            }
          ]
        }
      }
    ],
    "notificationPreferences": [
      {
        "user": "<unknown>",
        "notificationType": {
          "id": "<string>"
        },
        "notificationMethod": {
          "id": "<string>"
        }
      }
    ],
    "emailChangeTokens": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "newEmail": "<string>",
        "created": "2023-11-07T05:31:56Z"
      }
    ]
  }
]

Query Parameters

sorting
string
offset
integer<int32>
limit
integer<int32>
fields
string

Response

OK

id
integer<int32>
photoFilename
string | null
name
string | null
email
string | null
role
object
userType
object
languageCode
string | null
timeZone
string | null
timeZoneOffset
integer<int32>
acceptedTerms
boolean
isSubscribedToNewsletter
boolean
isDisabled
boolean
tickets
object[] | null
privileges
object[] | null
notificationPreferences
object[] | null
emailChangeTokens
object[] | null